<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 text-gray-800">Edit Team {{team.name}}</h1>
</div>
<div class="row">
  <div class="col">

    <form [formGroup]="teamEditForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="inputId">Room id</label>
        <input type="text" class="form-control-plaintext" id="inputId" formControlName="id">
      </div>
      <div class="form-group">
        <label for="inputName">Name</label>
        <input type="text" class="form-control" id="inputName" formControlName="name">
      </div>
      <div class="form-group">
        <label for="inputForcedCheckoutTime">Auto Checkout Time</label>
        <input type="text" class="form-control" id="inputForcedCheckoutTime" [ngxTimepicker]="picker" [format]="24"
               formControlName="forcedCheckoutTime" readonly style="background-color: #ffffff">
        <ngx-material-timepicker #picker></ngx-material-timepicker>
      </div>
      <button type="submit" class="btn btn-primary" [disabled]="!teamEditForm.valid">Save</button>
    </form>

  </div>
</div>
<hr class="my-4">
<div class="row py-4">
  <div class="col">
    <h2 class="h3 text-gray-800">Members</h2>
    <ul class="list-group">
      <li class="list-group-item" *ngFor="let member of team.members">
        <div class="d-flex justify-content-between align-items-center">
          <div>
            {{member.user.name}}
          </div>
          <div *ngIf="member.user.id !== (auth.authenticatedUser$ | async).id; else currentUser">
            <button *ngIf="member.permission === 'USER'" class="btn btn-sm btn-warning mr-2" (click)="promoteUser(member.user)"><fa-icon [icon]="faLevelUpAlt"></fa-icon> Promote To Owner</button>
            <button *ngIf="member.permission === 'OWNER'" class="btn btn-sm btn-warning mr-2" (click)="downgradeUser(member.user)"><fa-icon [icon]="faLevelDownAlt"></fa-icon> Revoke Ownership</button>
            <button class="btn btn-sm btn-danger" (click)="revokeMembership(member.user)"><fa-icon [icon]="faUserTimes"></fa-icon> Revoke Membership</button>
          </div>
        </div>

      </li>
    </ul>
  </div>
</div>

<ng-template #currentUser>
  <span class="text-gray-500">That's You</span>
</ng-template>
